Subject: Re: [cuss] WGLC review for draft-ietf-cuss-sip-uui-06

From: Alan Johnston <[email-masked]>
Date: Thu, 14 Jun 2012 11:26:23 -0500

You are both right, I guess.  I'm fine with this proposal for a new content
to define the encodings allowed.

I don't think we have any other encodings besides 'hex' in use or defined,
so I think we will be OK for the ISDN service.

- Alan -

On Tue, May 29, 2012 at 3:57 AM, Laura Liess
<[email-masked]>wrote:

> Paul,
>
> 2012/5/25 Paul Kyzivat <[email-masked]>:
>
> >
> > While looking at this I realized something else. Given the way we have
> > evolved the use of "encoding", I think it would make sense to bind the
> valid
> > encodings to a particular content value, rather than to a particular
> > package. So, when defining a new "content" one would have to specify
> which
> > encoding(s) it may have. When specifying a new package one would only
> need
> > to specify what content values it may have.
>
> I agree with you.  It makes much more sense to bind the encodings to
> content values instead of packages. And easier to understand.
>
> Just I am not sure which consequencies would this change have for both
> drafts and if we do not run again into the "existing implementation"
> issue.
>
> I would like to know Alan's and Keith's and FT's opinion.
>
> Thanks a lot
> Laura
>
>
>
> >        Thanks,
> >        Paul
> >
> > _______________________________________________
> > cuss mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/cuss
>